[IPython-dev] Docs build broken on master, Qt API issues..

Min RK benjaminrk@gmail....
Fri Nov 4 00:20:56 CDT 2011


Should probably just add external.qt to the autodoc exclusions.

-MinRK

On Nov 3, 2011, at 19:38, Fernando Perez <fperez.net@gmail.com> wrote:

> Hi all,
> 
> Yarik of neurodebian fame just reported a failure to build the docs:
> 
> reading sources... [ 45%] api/generated/IPython.testing.iptest
> Exception occurred:
>  File "/home/fperez/usr/lib/python2.6/site-packages/IPython/external/qt.py",
> line 20, in prepare_pyqt4
>    sip.setapi('QString', 2)
> ValueError: API 'QString' has already been set to version 1
> 
> 
> Can anyone think of what is causing this?  I hadn't done a full build
> doc recently, so I'm not sure when this snuck in, but obviously we
> need to sort it out before we can consider a release...
> 
> Any ideas much appreciated.
> 
> Cheers,
> 
> f
> _______________________________________________
> IPython-dev mailing list
> IPython-dev@scipy.org
> http://mail.scipy.org/mailman/listinfo/ipython-dev


More information about the IPython-dev mailing list